Subject: Re: [patch 0/8] PS3 AV/FB patches

From: René Rebe <[email-masked]>
Date: Wed, 2 May 2007 17:05:56 +0200

Hi again,

On Wednesday 02 May 2007 16:53:49 Geert Uytterhoeven wrote:
> 	Hi Ren=E9,
>=20
> On Wed, 2 May 2007, [iso-8859-1] Ren=E9 Rebe wrote:
> > While 3d acceleration is not that important for me on the PS3, just spe=
cifing
> > a exact resolution, to e.g. drive non-TV display, does also not appear =
to be
> > possible with the current ps3fb code and the hypervisor, only TV resolu=
tions
> > are support, right?
>=20
> In addition to the TV resolutions 480i/480p/720p/1080i/1080p in 50/60 Hz,
> ps3fb supports 1280x768 (WXGA), 1280x1024 (SXGA), and 1920x1200 (WUXGA).

Ok fair enough I forgot to mention the {W,S}XGA ones - actually after the s=
tatic list
of the user-land helper I read the kernel side code already to see if there=
 is something
else that can be passed to the hypervisor.

I mean more the currently also common modes such as: 1680x1050 and co.

> > Is there any chance we can get at least modesetting and basic 2D accele=
ration
> > (best some alpha-bitblt & colorspace conversion + scaling)?
>=20
> These requests are definitely considered.

Nice to hear. I keep pressing my thumbs.

Yours,

=2D-=20
  Ren=C3=A9 Rebe - ExactCODE GmbH - Europe, Germany, Berlin
  http://exactcode.de | http://t2-project.org | http://rene.rebe.name